Skip to content

Send reminder to recipient

POST
/v1/Survey/Recipients/{id}/Remind
curl --request POST \
--url https://rms.dev.caspeco.net/api/booking/v1/Survey/Recipients/example/Remind \
--header 'Authorization: Bearer <token>'

Sends a reminder to the recipient

id
required
string

The id of the recipient

The recipient

Media typeapplication/json
object
id
string format: guid
rev
integer format: int64
surveyId
string format: guid
ref
string
nullable
referenceTime
string format: date-time
nullable
name
string
nullable
emailAddress
string
nullable
mobilePhone
string
nullable
invitationMethod
integer
Allowed values: 0 1 2
sendTime
string format: date-time
nullable
remindTime
string format: date-time
nullable
callbackUri
string
nullable
sentTime
string format: date-time
nullable
remindedTime
string format: date-time
nullable
openedTime
string format: date-time
nullable
respondedTime
string format: date-time
nullable
callbackCallCount
integer format: int32
callbackCallSuccess
boolean
callbackCalledTime
string format: date-time
nullable
status
integer
Allowed values: 0 1 2 3 4 5 6 999
replaceParams
object
key
additional properties
string
Example
{
"application/json": {
"id": "aa2af7b1-c640-4d4b-a9b2-8eaf68b446b7",
"rev": 0,
"surveyId": "ff07bf69-8453-4c1b-b407-1a3467a4109a",
"referenceTime": "2025-12-01T07:50:09.6530986+00:00",
"name": "Lennart Lennartsbesökare",
"emailAddress": "lennart@lennart.se",
"mobilePhone": "0701234567",
"invitationMethod": 0,
"sendTime": "2025-12-01T12:50:09.6530969+00:00",
"remindTime": "2025-12-01T17:50:09.6530985+00:00",
"callbackCallCount": 0,
"callbackCallSuccess": false,
"status": 1,
"replaceParams": {
"name": "Lennart",
"personalMsg": "Glöm inte att sälja din freestyle Lennart!"
}
}
}